
Infrastructure - Task #2263

Story # 1386 (Closed): Generation of SOLR index for Mercury

Design and implement new solr field generation class

2012-01-25 16:36 - Skye Roseboom

Status: Closed Start date: 2012-01-25

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Design and implement solr field generation class to handle generating solr fields that are created from multiple locations in the xml

document.

For example a field like origin that requires - given name, surname OR organization name.

Also needs to handle multiple value fields.

History

#1 - 2012-01-25 16:36 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-01-27 23:08 - Skye Roseboom

- Status changed from In Progress to Closed

Complete.

Created CommontRootSolrField.  Understands common ancestor nodes create data relationships.  Is configured using RootElement, LeafElements. 

RootElement defines a common ancestor for leaf nodes.  LeafElements result in data while rootElements result in node lists.

Also makes use of a LogicalOrPostProcessor to handle origin's specification of:  investigator OR organizationName.
